//=========================================================================
//
//	FILE:				DragDrop_Menus.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Menu definitionns for the CPLAT Drag and Drop demo app.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2005-08-30 22:32:52 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

	// Apple Includes
#include <Carbon.r>

resource 'MBAR' (128)
{
	{
		128,
		129,
		131
	}
};

resource 'MENU' (128)
{
	128,
	textMenuProc,
	allEnabled,
	enabled,
	apple,
	{
		"About Application", noIcon, noKey, noMark, plain
	}
};

resource 'xmnu' (128, purgeable)
{
	versionZero
	{
		{
			dataItem { 18, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (129, "File Menu")
{
	129,
	textMenuProc,
	NoItems,
	enabled,
	"File",
	{
		"New", noIcon, "N", noMark, plain,
		"Open", noIcon, "O", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Close", noIcon, "W", noMark, plain,
		"Save", noIcon, "S", noMark, plain,
		"Save As...", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Page Setup...", noIcon, noKey, noMark, plain,
		"Print...", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Quit", noIcon, "Q", noMark, plain,
	}
};

resource 'xmnu' (129, purgeable)
{
	versionZero
	{
		{
			dataItem { 1, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 2, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 3, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 4, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 5, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 7, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 8, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipitem {},
			dataItem { 9, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};

resource 'MENU' (131)
{
	131,
	textMenuProc,
	allEnabled,
	enabled,
	"Views",
	{
		"Source View", noIcon, noKey, noMark, plain
	}
};

resource 'xmnu' (131, purgeable)
{
	versionZero
	{
		{
			dataItem { 1000, kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
		}
	};
};
