//=========================================================================
//
//	FILE:				CP_MDIClientWindow.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_MDIClientWindow
#define _H_CP_MDIClientWindow
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_WIN32

	// CPLAT_Framework
#include "CP_Window.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	\class		CP_MDIClientWindow
*	\brief		1 LINE BRIEF DESCRIPTION HERE
*	
*				DETAILED DESCRIPTION BEGINS HERE
*/
class CP_EXPORT CP_MDIClientWindow : public CP_Window
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_MDIClientWindow( OSWindow inMDIFrameWindow );
	//! Destructor.
	virtual								~CP_MDIClientWindow() throw();
	//@}

protected:
	//! @name Initialization
	//@{
	virtual	void						CreatePlatformImp(
												const CP_Point& inUpperLeft,
												const CP_Size& inContentSize,
												const CP_String& inWindowTitle,
												const CP_WindowTypeBase& inWindowType );
	//@}

	// class data
protected:
	OSWindow							fMDIFrameWindow;		
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_WIN32

#endif	// _H_CP_MDIClientWindow

